package com.zy.bms.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zy.bms.model.UserDeviceRelation;
import com.zy.bms.common.vo.DeviceVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 用户设备绑定关系表
 *
 * @author chenyi
 * Create on 2020/4/10
 */
@Mapper
@Repository
public interface UserDeviceRelationMapper extends BaseMapper<UserDeviceRelation> {

    /**
     * 查询用户绑定的设备集合
     *
     * @param userId 用户ID
     */
    List<DeviceVo> getListByUserId(@Param("userId") String userId);
}
